/*
*	IRQ based function to read air humidity and temperature data from DHT11 & DHT22 sensors.
*
*	Note that those sensors use a proprietary serial data protocol.
*/


#ifndef __DHT11_22_LIB_h
#define __DHT11_22_LIB_h


#include <stdbool.h>

/******************************************************************************
* function prototypes
******************************************************************************/

extern bool		acquire_DHT		( void);
#if DHT_TYPE == DHT_DHT11
extern int8_t	get_humidity	( void);
extern int8_t	get_temperature	( void);
#elif DHT_TYPE == DHT_DHT22
extern float	get_humidity	( void);
extern float	get_temperature	( void);
#endif


#endif